Skip to main content
PUT
/
api
/
external
/
companies
/
{companyId}
/
{entityType}
/
{entityId}
/
assignees
curl --request PUT \
  --url https://app.aiinsurance.io/api/external/companies/{companyId}/{entityType}/{entityId}/assignees \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "assigneeIds": [
    "google-oauth2|123456789",
    "google-oauth2|987654321"
  ]
}
'
{
  "assigneeIds": [
    "google-oauth2|123456789",
    "google-oauth2|987654321"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.aiinsurance.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

entityType
enum<string>
required

The type of entity (policies, submissions, insureds, or events) The type of entity to manage assignees for

Available options:
policies,
submissions,
insureds,
events
entityId
string<uuid>
required

The ID of the entity

Body

application/json
assigneeIds
string[]
required

Array of user IDs to assign. Replaces all current assignees. Pass an empty array to remove all assignees.

Response

Assignees updated successfully

assigneeIds
string[]

The user IDs that were set as assignees